Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.audit
Class Audit

    java.lang.Object
      |
      +--weblogic.security.audit.Audit

Deprecated. Deprecated in WebLogic Server 7.0. Replaced by the weblogic.security.service.Auditor provided by the Pluggable Security Infrastructure.

public final class Audit
extends java.lang.Object

The usual entrypoint for subsystems that perform security audit logging operations. It provides a static "implementation" of the Audit interface. If auditing has been enabled by the server administrator, it will log to the correct destination.

This class cannot be instantiated.

Author:
  Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.

Method Summary
`static void` | `authenticateUser(java.lang.String subsystem, UserInfo info, User result)` Deprecated.
`static void` | `certificateInvalid(java.lang.String subsystem, java.lang.Object source, X509 cert)` Deprecated.
`static void` | `checkPermission(java.lang.String subsystem, java.security.acl.Acl acl, java.security.Principal principal, java.security.acl.Permission permission, boolean result)` Deprecated.
`static AuditProvider` | `getProvider()` Deprecated. Return the audit provider currently in use, or null if none.
`static void` | `rootCAInvalid(java.lang.String subsystem, java.lang.Object source, X509 cert)` Deprecated.
`static void` | `setProvider(AuditProvider p)` Deprecated. Set the audit provider.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setProvider

    public static void setProvider(AuditProvider p)

  Deprecated.
  Set the audit provider. This method may only be called once per VM; if it is called more than once, a SecurityException will be thrown.

  Parameters:
    `p` - the provider to use for logging

### authenticateUser

    public static void authenticateUser(java.lang.String subsystem,
                                        UserInfo info,
                                        User result)

  Deprecated.

  See Also:
    `AuditProvider.authenticateUser(java.lang.String, weblogic.security.acl.UserInfo, weblogic.security.acl.User)`

### checkPermission

    public static void checkPermission(java.lang.String subsystem,
                                       java.security.acl.Acl acl,
                                       java.security.Principal principal,
                                       java.security.acl.Permission permission,
                                       boolean result)

  Deprecated.

  See Also:
    `AuditProvider.checkPermission(java.lang.String, java.security.acl.Acl, java.security.Principal, java.security.acl.Permission, boolean)`

### certificateInvalid

    public static void certificateInvalid(java.lang.String subsystem,
                                          java.lang.Object source,
                                          X509 cert)

  Deprecated.

  See Also:
    `AuditProvider.certificateInvalid(java.lang.String, java.lang.Object, weblogic.security.X509)`

### rootCAInvalid

    public static void rootCAInvalid(java.lang.String subsystem,
                                     java.lang.Object source,
                                     X509 cert)

  Deprecated.

  See Also:
    `AuditProvider.rootCAInvalid(java.lang.String, java.lang.Object, weblogic.security.X509)`

### getProvider

    public static AuditProvider getProvider()

  Deprecated.
  Return the audit provider currently in use, or null if none.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference